libzypp: zypp::target::rpm::TransactionReportSA Struct Reference

libzypp 17.38.6

zypp::target::rpm::TransactionReportSA Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::TransactionReportSA:

## Public Types
enum | Error { NO_ERROR , FINISHED_WITH_ERRORS , FAILED }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const std::string &, const UserData &=UserData())
virtual void | progress (int, const UserData &=UserData())
virtual void | finish (Error, const UserData &=UserData())
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Static Public Attributes
static const UserData::ContentType contentRpmout | ZYPP_API
| "zypp-rpm/transactionsa": Additional rpm output (sent immediately).

## Detailed Description

Definition at line 781 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Error

enum zypp::target::rpm::TransactionReportSA::Error

Enumerator
NO_ERROR |
FINISHED_WITH_ERRORS |
FAILED |

Definition at line 783 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::TransactionReportSA::start | ( | const std::string & | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 789 of file ZYppCallbacks.h.

## ◆ progress()

virtual void zypp::target::rpm::TransactionReportSA::progress | ( | int | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 794 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::rpm::TransactionReportSA::finish | ( | Error | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 799 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ ZYPP_API

const UserData::ContentType contentRpmout zypp::target::rpm::TransactionReportSA::ZYPP_API
| static

"zypp-rpm/transactionsa": Additional rpm output (sent immediately).

Data: line : std::reference_wrapper<const std::string>

Definition at line 808 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h